orte/mca/gpr/replica/functional_layer/gpr_replica_put_get_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_put_get_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_put_get_fn.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/util/proc_info.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/api_layer/gpr_replica_api.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_ival_list_t)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_ival_list_constructor\fP (orte_gpr_replica_ival_list_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_ival_list_destructor\fP (orte_gpr_replica_ival_list_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_ival_list_t, \fBopal_list_item_t\fP, orte_gpr_replica_ival_list_constructor, orte_gpr_replica_ival_list_destructor)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_gpr_replica_get_list_t)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_get_list_constructor\fP (orte_gpr_replica_get_list_t *ptr)"
.br
.ti -1c
.RI "static void \fBorte_gpr_replica_get_list_destructor\fP (orte_gpr_replica_get_list_t *ptr)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_replica_get_list_t, \fBopal_list_item_t\fP, orte_gpr_replica_get_list_constructor, orte_gpr_replica_get_list_destructor)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_conditional_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, size_t num_conditions, orte_gpr_replica_itagval_t **conditions, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
